Debian Bug report logs - #301273
tasksel: Please trim down the default installation when tasks are selected

version graph

Package: tasksel; Maintainer for tasksel is Debian Install System Team <debian-boot@lists.debian.org>; Source for tasksel is src:tasksel.

Reported by: Javier Fernández-Sanguino Peña <jfs@computer.org>

Date: Thu, 24 Mar 2005 21:18:02 UTC

Severity: wishlist

Tags: patch

Found in version 2.24

Fixed in version tasksel/2.25

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#301273; Package tasksel. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: submit@bugs.debian.org
Subject: tasksel: Please trim down the default installation when tasks are selected
Date: Thu, 24 Mar 2005 22:01:06 +0100
[Message part 1 (text/plain, inline)]
Package: tasksel 
Priority: wishlist
Version: 2.24
Tags: patch

[ I was considering setting this as an 'important' bug as I consider this a
failure in the installation system and it has been reported too many times
but not acted upon. I have refrained myself but I feel this should be done 
for sarge ]

Note: This issue has also been brought up a number of times before, please 
see #270676, #246357, #272406 and #272586. I've opened up #301138 too which 
would fix this "properly" but I don't expect that to happend before the 
release. The proposed patch below could, however, be safely included in 
sarge.

The deal here is that tasksel calls aptitude on new installations asking it 
to install all the 'Standard' packages but our 'standard' system is not 
properly standard and will pull in packages that are really development 
only and used by a minority of our users (see #301138). This has happened 
before and needs to be cut by ftp overrides, but until a consensus is 
reached the d-i team could prevent this from happening by having tasksel 
explicitly tell aptitude to _not_ install those packages. After all, a 
development task should be introduced in tasksel (and has been asked for 
already in #266702)

The attached patch fixes this issue with a temporary hack that works OK for 
sarge. I have tested the patch with simulated runs of all tasks currently 
provided and aptitude installs them just fine. The behaviour is as follows:

- IF tasksel is called on new installations and the user has selected a 
task, then tasksel will ask aptitude to _not_ install any of the 
development packages (compilers, headers, and such) of the Standard 
priority.

- IF no tasks are selected in new installations, then users get the full
Standard: installation, including development packages.

On all other cases, the behaviour of tasksel remains the same. 

Why would I like to see this on sarge and not postponed to etch:

- There have been a number of installation reports complaining about this
- Installing by default a compiler in an operating system is against all 
security-wise recommendations, has been exploited by worms in the past and 
will be in the future.

Hopefully the patch is self-explanatory, feel free to ask for additional 
information. I've tested it in a chroot jail will all of the current tasks 
and aptitude works OK for me in an updated sarge environment. I don't 
expect this to fail in a chrooted sarge and I will test it if time permits.

Regards

Javier

[tasksel.blacklists.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 301273-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 301273-close@bugs.debian.org
Subject: Bug#301273: fixed in tasksel 2.25
Date: Thu, 09 Jun 2005 19:47:43 -0400
Source: tasksel
Source-Version: 2.25

We believe that the bug you reported is fixed in the latest version of
tasksel, which is due to be installed in the Debian FTP archive:

tasksel_2.25.dsc
  to pool/main/t/tasksel/tasksel_2.25.dsc
tasksel_2.25.tar.gz
  to pool/main/t/tasksel/tasksel_2.25.tar.gz
tasksel_2.25_all.deb
  to pool/main/t/tasksel/tasksel_2.25_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 301273@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated tasksel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  9 Jun 2005 19:30:45 -0400
Source: tasksel
Binary: tasksel
Architecture: source all
Version: 2.25
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 tasksel    - Tool for selecting tasks for installation on Debian system
Closes: 271178 274936 275303 282166 282493 286170 292936 293108 298702 301273 301496 305148 306081 312462 312463 312464
Changes: 
 tasksel (2.25) unstable; urgency=low
 .
   * Joey Hess
     - Add libtheora0 to desktop task so totem can play these files.
       (See #301262)
     - Add Bulgarian language and desktop language tasks contributed by
       Anton Zinoviev. Closes: #271178
     - Add tf2pt1, ttf2pt1-chinese and ttfprint to chinese-s an chinese-t to
       support printing of asian fonts. Closes: #305148
     - Remove language-env from chinese-t, since language-env does not support
       Chinese simplified yet. See #301496
     - Add scim-chewing and m17n-env to chinese-t-desktop, remove old cpanel
       and chinput input methods. Closes: #301496
     - Also remove language-env from chinese-s as it doesn't support that
       either, and remove obsolete cpanel from chinese-s-desktop too.
     - Add basic Arabic tasks. Closes: #282493
     - Add printconf to print-server for automatic printer setup. Closes: #293108
     - Add windbind to file-server since it's commonly used with samba.
       Closes: #292936
     - Look for desc files in /usr/local/share/tasksel too. Closes: #286170
     - Replace mozilla with firefox in desktop task. Closes: #282166
     - Add "force" test script contributed by Free Ekanayaka. This allows
       adding Test-force lines to tasks that force them to be installed,
       skipped, marked, or shown, without needing to write any code,
       and may be useful for CDDs. Closes: #275303
     - Allow later task descs to override earlier ones, useful if you
       want to blow away the standard Debian tasks, perhaps by using Test-force
       to hide them. Closes: #274936
     - Add a "new-install" test script (and export NEW_INSTALL for test
       scripts), to allow special control of tasks during new installs.
     - Add a new "standard" task which defaults to being marked for install
       on new installs and is otherwise hidden (because removing it makes
       little sense), and which causes all standard or above priority packages
       to be installed. Closes: #301273, #298702
     - Remove the -r, -i, and -s switches as unnecessary given the standard
       task.
     - Remove the -n switch since it was intended to be used with other removed
       switches.
     - Make the lang test only do anything on new installs, to avoid tasksel
       looking at the LANG variable in everyday use.
     - Rename Packages field in input task files to Packages-list to allow
       really specifying a Packages value.
     - Deal better with ctrl-c cancel while in debconf.
   * Kęstutis Biliūnas
     - Added openoffice.org-l10n-lt to lithuanian-desktop task.
     - Commented out kde-i18n-lt as the Lithuanian language currently is
       not supported by upstream.
     - Added aspell-lt to lithuanian task.
   * Christian Perrier
     - Fix errors in English descriptions of tasks:
       - web-server: "select packages"
       - *-desktop : "localises the desktop"
                     "that make it"
       - thai      : "for Thai speaking people"
       All translations unfuzzied
       Closes: #306081
   * Translations
     - All Bosnian translations completed by Safir Secerovic
     - All Malagasy translations added by Jaonary Rabarisoa
     - Fixes to Danish translations of language tasks by Claus Hindsgaul
     - All Vietnamese translations added by Clytie Siddall
     - Estonian translations of debconf templates by Siim Põder. Closes: #312464
     - Estonian translations of tasks by Siim Põder. Closes: #312463
     - Estonian translations of tasksel by Siim Põder. Closes: #312462
Files: 
 f56c2d8339e0340f852698895fb9434d 628 base optional tasksel_2.25.dsc
 24cdfcb4077e143d1be99c8a598d27e9 229878 base optional tasksel_2.25.tar.gz
 1dd4f5c1b367968381361fff2a33e1fa 137230 base optional tasksel_2.25_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCqNJs2tp5zXiKP0wRAm2QAJ9GsPlqIW4WqWCLA+EsSU2TRt/ZsgCeNs5r
Cx+9TqxRgqSW/Aftcxvi/sU=
=phmT
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:39:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.